source $HOME/.common.sh

export LANG=en_US.UTF-8

export DOTNET_CLI_TELEMETRY_OPTOUT=1
# export RUST_SRC_PATH="$(rustc --print sysroot)/lib/rustlib/src/rust/src"
export EDITOR=vim
command_exists nvim && export EDITOR=nvim
export MAILDIR=$HOME/Mail

source_if_exists $HOME/.cargo/env
source_if_exists "${GHCUP_INSTALL_BASE_PREFIX:=$HOME}/.ghcup/env"

append_path "$HOME/.local/bin"
append_path "$HOME/.local/scripts"
append_path "$HOME/.dotnet/tools"
append_path "$HOME/go/bin"
append_path "$HOME/.idris2/bin"
append_path "$HOME/.opam/default/bin"
append_path "$HOME/.local/share/prt"

[[ -s /etc/profile.d/autojump.sh ]] && source /etc/profile.d/autojump.sh
eval $(opam env)

# opam configuration
# test -r /home/michael/.opam/opam-init/init.zsh && . /home/michael/.opam/opam-init/init.zsh > /dev/null 2> /dev/null || true

function rgc() {
    rg --color always $@ | bat --color always
}

function loadnpm() {
    export NVM_DIR="$HOME/.nvm"
    [ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
}

# ssh
unset SSH_AGENT_PID
if [ "${gnupg_SSH_AUTH_SOCK_by:-0}" -ne $$ ]; then
	export SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)"
fi

# vim: set filetype=sh:
