#!/usr/bin/env bash

shopt -s nullglob globstar

typeit=0
if [[ $1 == "--type" ]]; then
	typeit=1
	shift
fi

prefix=${PASSWORD_STORE_DIR-~/.password-store}
password_files=( "$prefix"/**/*.gpg )
password_files=( "${password_files[@]#"$prefix"/}" )
password_files=( "${password_files[@]%.gpg}" )

password=$(printf '%s\n' "${password_files[@]}" | $HOME/.local/scripts/rofiwrap.sh -dmenu -levenshtein-sort -i -p "Password for" "$@")
# password=$(printf "%s\n" "${password_files[@]}" | fzf --layout=reverse)

[[ -n $password ]] || exit

exec 3< <(pass show -c "$password" 2>&1)
read <&3 MSG
notify-send "Password copied." "$MSG"
wait

